View Issue Details

IDProjectCategoryView StatusLast Update
0003708SymmetricDSBugpublic2019-03-14 08:48
ReporterFutureChalkAssigned Topmarzullo 
Prioritylow 
Status closedResolutionfixed 
Product Version3.9.13 
Target Version3.10.0Fixed in Version3.10.0 
Summary0003708: Wildcard does not work when there is no wildcard at the beginning or the end of the text
DescriptionWhen you setup a wildcard selection in sym_trigger under the source_table_name column in the following format bu*_roadways,bu*_railways,bu*_waterways,bu*_boundaries,bu*_cities

This will not pull the tables with that name format.

If the format is
*bu*_roadways,*bu*_railways,*bu*_waterways,*bu*_boundaries,*bu*_cities

The pull will work.
Steps To ReproduceRan sync with the trigger setup as the first example and the tables represented by the wildcards did not work.

Changed the format to the second format and re-run the sync and the tables were populated.

In both cases I started with and empty destination database

Activities

hanes

2018-09-13 09:48

developer   ~0001235

Confirmed. Tested on SQL Server and H2. Patterns with only a star in the middle don't match correctly. It appears that the algorithm requires a star at the beginning or a star at the end, never just a star in the middle. Seems like a bug to me.

For example, these match to the tables bu1_railways, bu2_railways, etc.
bu*rail*
*bu*railways
*bu*rail*

but

bu*railways does not.

Related Changesets

SymmetricDS: 3.10 af86a1cc

2019-02-06 12:57:33

Philip Marzullo

Details Diff
0003708: Wildcard does not work when there is no wildcard at the
beginning or the end of the text

0003708
mod - symmetric-util/src/main/java/org/jumpmind/util/FormatUtils.java Diff File
mod - symmetric-util/src/test/java/org/jumpmind/util/FormatUtilsTest.java Diff File

Issue History

Date Modified Username Field Change
2018-09-05 15:56 FutureChalk New Issue
2018-09-05 15:56 FutureChalk Tag Attached: Wildcards
2018-09-13 09:48 hanes Note Added: 0001235
2018-09-13 09:48 hanes Status new => confirmed
2018-09-13 14:27 hanes Summary Wildcard does not work => Wildcard does not work when there is no wildcard at the beginning or the end of the text
2018-10-03 14:05 hanes Target Version => 3.10.0
2018-10-29 12:58 hanes Priority normal => low
2019-02-06 12:49 pmarzullo Assigned To => pmarzullo
2019-02-06 12:49 pmarzullo Status confirmed => assigned
2019-02-06 12:58 pmarzullo Status assigned => resolved
2019-02-06 12:58 pmarzullo Resolution open => fixed
2019-02-06 12:58 pmarzullo Fixed in Version => 3.10.0
2019-02-06 13:00 Changeset attached => SymmetricDS 3.10 af86a1cc
2019-03-14 08:48 admin Status resolved => closed